# Security update for bluez

Announcement ID: SUSE-SU-2024:0204-1  
Rating: important  
References:

  * bsc#1218300
  * bsc#1218301

  
Cross-References:

  * CVE-2023-50229
  * CVE-2023-50230

  
CVSS scores:

  * CVE-2023-50229 ( SUSE ):  7.1 CVSS:3.1/AV:A/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
  * CVE-2023-50230 ( SUSE ):  7.1 CVSS:3.1/AV:A/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H

  
Affected Products:

  * openSUSE Leap 15.4
  * openSUSE Leap Micro 5.3
  * openSUSE Leap Micro 5.4
  * SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4
  * SUSE Linux Enterprise High Performance Computing 15 SP4
  * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4
  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP4
  * SUSE Linux Enterprise Micro 5.3
  * SUSE Linux Enterprise Micro 5.4
  * SUSE Linux Enterprise Micro for Rancher 5.3
  * SUSE Linux Enterprise Micro for Rancher 5.4
  * SUSE Linux Enterprise Server 15 SP4
  * SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4
  * SUSE Linux Enterprise Server for SAP Applications 15 SP4
  * SUSE Manager Proxy 4.3
  * SUSE Manager Retail Branch Server 4.3
  * SUSE Manager Server 4.3

  
  
An update that solves two vulnerabilities can now be installed.

## Description:

This update for bluez fixes the following issues:

  * CVE-2023-50229: Fixed an out of bounds write in the primary version counter
    for the Phone Book Access Profile implementation (bsc#1218300).
  * CVE-2023-50230: Fixed an out of bounds write in the secondary version
    counter for the Phone Book Access Profile implementation (bsc#1218301).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * openSUSE Leap 15.4  
    zypper in -t patch SUSE-2024-204=1

  * openSUSE Leap Micro 5.3  
    zypper in -t patch openSUSE-Leap-Micro-5.3-2024-204=1

  * openSUSE Leap Micro 5.4  
    zypper in -t patch openSUSE-Leap-Micro-5.4-2024-204=1

  * SUSE Linux Enterprise Micro for Rancher 5.3  
    zypper in -t patch SUSE-SLE-Micro-5.3-2024-204=1

  * SUSE Linux Enterprise Micro 5.3  
    zypper in -t patch SUSE-SLE-Micro-5.3-2024-204=1

  * SUSE Linux Enterprise Micro for Rancher 5.4  
    zypper in -t patch SUSE-SLE-Micro-5.4-2024-204=1

  * SUSE Linux Enterprise Micro 5.4  
    zypper in -t patch SUSE-SLE-Micro-5.4-2024-204=1

  * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4  
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP4-ESPOS-2024-204=1

  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP4  
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP4-LTSS-2024-204=1

  * SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4  
    zypper in -t patch SUSE-SLE-Product-SLED-15-SP4-LTSS-2024-204=1

  * SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4  
    zypper in -t patch SUSE-SLE-Product-SLES-15-SP4-LTSS-2024-204=1

  * SUSE Linux Enterprise Server for SAP Applications 15 SP4  
    zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP4-2024-204=1

  * SUSE Manager Proxy 4.3  
    zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Proxy-4.3-2024-204=1

  * SUSE Manager Retail Branch Server 4.3  
    zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Retail-Branch-
Server-4.3-2024-204=1

  * SUSE Manager Server 4.3  
    zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Server-4.3-2024-204=1

## Package List:

  * openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64 i586)
    * libbluetooth3-5.62-150400.4.19.1
    * bluez-test-debuginfo-5.62-150400.4.19.1
    * bluez-cups-5.62-150400.4.19.1
    * bluez-devel-5.62-150400.4.19.1
    * bluez-deprecated-5.62-150400.4.19.1
    * bluez-cups-debuginfo-5.62-150400.4.19.1
    * bluez-debuginfo-5.62-150400.4.19.1
    * bluez-test-5.62-150400.4.19.1
    * bluez-debugsource-5.62-150400.4.19.1
    * libbluetooth3-debuginfo-5.62-150400.4.19.1
    * bluez-deprecated-debuginfo-5.62-150400.4.19.1
    * bluez-5.62-150400.4.19.1
  * openSUSE Leap 15.4 (noarch)
    * bluez-auto-enable-devices-5.62-150400.4.19.1
  * openSUSE Leap 15.4 (x86_64)
    * libbluetooth3-32bit-debuginfo-5.62-150400.4.19.1
    * bluez-devel-32bit-5.62-150400.4.19.1
    * libbluetooth3-32bit-5.62-150400.4.19.1
  * openSUSE Leap 15.4 (aarch64_ilp32)
    * libbluetooth3-64bit-debuginfo-5.62-150400.4.19.1
    * bluez-devel-64bit-5.62-150400.4.19.1
    * libbluetooth3-64bit-5.62-150400.4.19.1
  * openSUSE Leap Micro 5.3 (aarch64 s390x x86_64)
    * libbluetooth3-5.62-150400.4.19.1
    * libbluetooth3-debuginfo-5.62-150400.4.19.1
  * openSUSE Leap Micro 5.4 (aarch64 s390x x86_64)
    * libbluetooth3-5.62-150400.4.19.1
    * bluez-debuginfo-5.62-150400.4.19.1
    * libbluetooth3-debuginfo-5.62-150400.4.19.1
    * bluez-debugsource-5.62-150400.4.19.1
  * SUSE Linux Enterprise Micro for Rancher 5.3 (aarch64 s390x x86_64)
    * libbluetooth3-5.62-150400.4.19.1
    * libbluetooth3-debuginfo-5.62-150400.4.19.1
  * SUSE Linux Enterprise Micro 5.3 (aarch64 s390x x86_64)
    * libbluetooth3-5.62-150400.4.19.1
    * libbluetooth3-debuginfo-5.62-150400.4.19.1
  * SUSE Linux Enterprise Micro for Rancher 5.4 (aarch64 s390x x86_64)
    * libbluetooth3-5.62-150400.4.19.1
    * bluez-debuginfo-5.62-150400.4.19.1
    * libbluetooth3-debuginfo-5.62-150400.4.19.1
    * bluez-debugsource-5.62-150400.4.19.1
  * SUSE Linux Enterprise Micro 5.4 (aarch64 s390x x86_64)
    * libbluetooth3-5.62-150400.4.19.1
    * bluez-debuginfo-5.62-150400.4.19.1
    * libbluetooth3-debuginfo-5.62-150400.4.19.1
    * bluez-debugsource-5.62-150400.4.19.1
  * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4 (aarch64
    x86_64)
    * libbluetooth3-5.62-150400.4.19.1
    * bluez-devel-5.62-150400.4.19.1
    * bluez-deprecated-5.62-150400.4.19.1
    * bluez-debuginfo-5.62-150400.4.19.1
    * bluez-debugsource-5.62-150400.4.19.1
    * libbluetooth3-debuginfo-5.62-150400.4.19.1
    * bluez-deprecated-debuginfo-5.62-150400.4.19.1
    * bluez-5.62-150400.4.19.1
  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP4 (aarch64
    x86_64)
    * libbluetooth3-5.62-150400.4.19.1
    * bluez-devel-5.62-150400.4.19.1
    * bluez-deprecated-5.62-150400.4.19.1
    * bluez-debuginfo-5.62-150400.4.19.1
    * bluez-debugsource-5.62-150400.4.19.1
    * libbluetooth3-debuginfo-5.62-150400.4.19.1
    * bluez-deprecated-debuginfo-5.62-150400.4.19.1
    * bluez-5.62-150400.4.19.1
  * SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4 (x86_64)
    * libbluetooth3-5.62-150400.4.19.1
    * bluez-cups-5.62-150400.4.19.1
    * bluez-devel-5.62-150400.4.19.1
    * bluez-deprecated-5.62-150400.4.19.1
    * bluez-cups-debuginfo-5.62-150400.4.19.1
    * bluez-debuginfo-5.62-150400.4.19.1
    * bluez-debugsource-5.62-150400.4.19.1
    * libbluetooth3-debuginfo-5.62-150400.4.19.1
    * bluez-deprecated-debuginfo-5.62-150400.4.19.1
    * bluez-5.62-150400.4.19.1
  * SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4 (aarch64 ppc64le s390x
    x86_64)
    * libbluetooth3-5.62-150400.4.19.1
    * bluez-devel-5.62-150400.4.19.1
    * bluez-deprecated-5.62-150400.4.19.1
    * bluez-debuginfo-5.62-150400.4.19.1
    * bluez-debugsource-5.62-150400.4.19.1
    * libbluetooth3-debuginfo-5.62-150400.4.19.1
    * bluez-deprecated-debuginfo-5.62-150400.4.19.1
    * bluez-5.62-150400.4.19.1
  * SUSE Linux Enterprise Server for SAP Applications 15 SP4 (ppc64le x86_64)
    * libbluetooth3-5.62-150400.4.19.1
    * bluez-devel-5.62-150400.4.19.1
    * bluez-deprecated-5.62-150400.4.19.1
    * bluez-debuginfo-5.62-150400.4.19.1
    * bluez-debugsource-5.62-150400.4.19.1
    * libbluetooth3-debuginfo-5.62-150400.4.19.1
    * bluez-deprecated-debuginfo-5.62-150400.4.19.1
    * bluez-5.62-150400.4.19.1
  * SUSE Manager Proxy 4.3 (x86_64)
    * libbluetooth3-5.62-150400.4.19.1
    * bluez-deprecated-5.62-150400.4.19.1
    * bluez-debuginfo-5.62-150400.4.19.1
    * bluez-debugsource-5.62-150400.4.19.1
    * libbluetooth3-debuginfo-5.62-150400.4.19.1
    * bluez-deprecated-debuginfo-5.62-150400.4.19.1
    * bluez-5.62-150400.4.19.1
  * SUSE Manager Retail Branch Server 4.3 (x86_64)
    * libbluetooth3-5.62-150400.4.19.1
    * bluez-deprecated-5.62-150400.4.19.1
    * bluez-debuginfo-5.62-150400.4.19.1
    * bluez-debugsource-5.62-150400.4.19.1
    * libbluetooth3-debuginfo-5.62-150400.4.19.1
    * bluez-deprecated-debuginfo-5.62-150400.4.19.1
    * bluez-5.62-150400.4.19.1
  * SUSE Manager Server 4.3 (ppc64le s390x x86_64)
    * libbluetooth3-5.62-150400.4.19.1
    * bluez-deprecated-5.62-150400.4.19.1
    * bluez-debuginfo-5.62-150400.4.19.1
    * bluez-debugsource-5.62-150400.4.19.1
    * libbluetooth3-debuginfo-5.62-150400.4.19.1
    * bluez-deprecated-debuginfo-5.62-150400.4.19.1
    * bluez-5.62-150400.4.19.1

## References:

  * https://www.suse.com/security/cve/CVE-2023-50229.html
  * https://www.suse.com/security/cve/CVE-2023-50230.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1218300
  * https://bugzilla.suse.com/show_bug.cgi?id=1218301

SUSE: 2024:0204-1 important: bluez

January 24, 2024
* bsc#1218300 * bsc#1218301 Cross-References: * CVE-2023-50229

Summary

## This update for bluez fixes the following issues: * CVE-2023-50229: Fixed an out of bounds write in the primary version counter for the Phone Book Access Profile implementation (bsc#1218300). * CVE-2023-50230: Fixed an out of bounds write in the secondary version counter for the Phone Book Access Profile implementation (bsc#1218301). ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * openSUSE Leap 15.4 zypper in -t patch SUSE-2024-204=1 * openSUSE Leap Micro 5.3 zypper in -t patch openSUSE-Leap-Micro-5.3-2024-204=1 * openSUSE Leap Micro 5.4 zypper in -t patch openSUSE-Leap-Micro-5.4-2024-204=1 * SUSE Linux Enterprise Micro for Rancher 5.3 zypper in -t patch SUSE-SLE-Micro-5.3-2024-204=1 * SUSE Linux Enterprise Micro 5.3 zypper in -t patch SUSE-SLE-Micro-5.3-2024-204=1 * SUSE Linux Enterprise Micro for Rancher 5.4 zypper in -t patch SUSE-SLE-Micro-5.4-2024-204=1 * SUSE Linux Enterprise Micro 5.4 zypper in -t patch SUSE-SLE-Micro-5.4-2024-204=1 * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4 zypper in -t patch SUSE-SLE-Product-HPC-15-SP4-ESPOS-2024-204=1 * SUSE Linux Enterprise High Performance Computing LTSS 15 SP4 zypper in -t patch SUSE-SLE-Product-HPC-15-SP4-LTSS-2024-204=1 * SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4 zypper in -t patch SUSE-SLE-Product-SLED-15-SP4-LTSS-2024-204=1 * SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4 zypper in -t patch SUSE-SLE-Product-SLES-15-SP4-LTSS-2024-204=1 * SUSE Linux Enterprise Server for SAP Applications 15 SP4 zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP4-2024-204=1 * SUSE Manager Proxy 4.3 zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Proxy-4.3-2024-204=1 * SUSE Manager Retail Branch Server 4.3 zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Retail-Branch- Server-4.3-2024-204=1 * SUSE Manager Server 4.3 zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Server-4.3-2024-204=1 ## Package List: * openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64 i586) * libbluetooth3-5.62-150400.4.19.1 * bluez-test-debuginfo-5.62-150400.4.19.1 * bluez-cups-5.62-150400.4.19.1 * bluez-devel-5.62-150400.4.19.1 * bluez-deprecated-5.62-150400.4.19.1 * bluez-cups-debuginfo-5.62-150400.4.19.1 * bluez-debuginfo-5.62-150400.4.19.1 * bluez-test-5.62-150400.4.19.1 * bluez-debugsource-5.62-150400.4.19.1 * libbluetooth3-debuginfo-5.62-150400.4.19.1 * bluez-deprecated-debuginfo-5.62-150400.4.19.1 * bluez-5.62-150400.4.19.1 * openSUSE Leap 15.4 (noarch) * bluez-auto-enable-devices-5.62-150400.4.19.1 * openSUSE Leap 15.4 (x86_64) * libbluetooth3-32bit-debuginfo-5.62-150400.4.19.1 * bluez-devel-32bit-5.62-150400.4.19.1 * libbluetooth3-32bit-5.62-150400.4.19.1 * openSUSE Leap 15.4 (aarch64_ilp32) * libbluetooth3-64bit-debuginfo-5.62-150400.4.19.1 * bluez-devel-64bit-5.62-150400.4.19.1 * libbluetooth3-64bit-5.62-150400.4.19.1 * openSUSE Leap Micro 5.3 (aarch64 s390x x86_64) * libbluetooth3-5.62-150400.4.19.1 * libbluetooth3-debuginfo-5.62-150400.4.19.1 * openSUSE Leap Micro 5.4 (aarch64 s390x x86_64) * libbluetooth3-5.62-150400.4.19.1 * bluez-debuginfo-5.62-150400.4.19.1 * libbluetooth3-debuginfo-5.62-150400.4.19.1 * bluez-debugsource-5.62-150400.4.19.1 * SUSE Linux Enterprise Micro for Rancher 5.3 (aarch64 s390x x86_64) * libbluetooth3-5.62-150400.4.19.1 * libbluetooth3-debuginfo-5.62-150400.4.19.1 * SUSE Linux Enterprise Micro 5.3 (aarch64 s390x x86_64) * libbluetooth3-5.62-150400.4.19.1 * libbluetooth3-debuginfo-5.62-150400.4.19.1 * SUSE Linux Enterprise Micro for Rancher 5.4 (aarch64 s390x x86_64) * libbluetooth3-5.62-150400.4.19.1 * bluez-debuginfo-5.62-150400.4.19.1 * libbluetooth3-debuginfo-5.62-150400.4.19.1 * bluez-debugsource-5.62-150400.4.19.1 * SUSE Linux Enterprise Micro 5.4 (aarch64 s390x x86_64) * libbluetooth3-5.62-150400.4.19.1 * bluez-debuginfo-5.62-150400.4.19.1 * libbluetooth3-debuginfo-5.62-150400.4.19.1 * bluez-debugsource-5.62-150400.4.19.1 * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4 (aarch64 x86_64) * libbluetooth3-5.62-150400.4.19.1 * bluez-devel-5.62-150400.4.19.1 * bluez-deprecated-5.62-150400.4.19.1 * bluez-debuginfo-5.62-150400.4.19.1 * bluez-debugsource-5.62-150400.4.19.1 * libbluetooth3-debuginfo-5.62-150400.4.19.1 * bluez-deprecated-debuginfo-5.62-150400.4.19.1 * bluez-5.62-150400.4.19.1 * SUSE Linux Enterprise High Performance Computing LTSS 15 SP4 (aarch64 x86_64) * libbluetooth3-5.62-150400.4.19.1 * bluez-devel-5.62-150400.4.19.1 * bluez-deprecated-5.62-150400.4.19.1 * bluez-debuginfo-5.62-150400.4.19.1 * bluez-debugsource-5.62-150400.4.19.1 * libbluetooth3-debuginfo-5.62-150400.4.19.1 * bluez-deprecated-debuginfo-5.62-150400.4.19.1 * bluez-5.62-150400.4.19.1 * SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4 (x86_64) * libbluetooth3-5.62-150400.4.19.1 * bluez-cups-5.62-150400.4.19.1 * bluez-devel-5.62-150400.4.19.1 * bluez-deprecated-5.62-150400.4.19.1 * bluez-cups-debuginfo-5.62-150400.4.19.1 * bluez-debuginfo-5.62-150400.4.19.1 * bluez-debugsource-5.62-150400.4.19.1 * libbluetooth3-debuginfo-5.62-150400.4.19.1 * bluez-deprecated-debuginfo-5.62-150400.4.19.1 * bluez-5.62-150400.4.19.1 * SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4 (aarch64 ppc64le s390x x86_64) * libbluetooth3-5.62-150400.4.19.1 * bluez-devel-5.62-150400.4.19.1 * bluez-deprecated-5.62-150400.4.19.1 * bluez-debuginfo-5.62-150400.4.19.1 * bluez-debugsource-5.62-150400.4.19.1 * libbluetooth3-debuginfo-5.62-150400.4.19.1 * bluez-deprecated-debuginfo-5.62-150400.4.19.1 * bluez-5.62-150400.4.19.1 * SUSE Linux Enterprise Server for SAP Applications 15 SP4 (ppc64le x86_64) * libbluetooth3-5.62-150400.4.19.1 * bluez-devel-5.62-150400.4.19.1 * bluez-deprecated-5.62-150400.4.19.1 * bluez-debuginfo-5.62-150400.4.19.1 * bluez-debugsource-5.62-150400.4.19.1 * libbluetooth3-debuginfo-5.62-150400.4.19.1 * bluez-deprecated-debuginfo-5.62-150400.4.19.1 * bluez-5.62-150400.4.19.1 * SUSE Manager Proxy 4.3 (x86_64) * libbluetooth3-5.62-150400.4.19.1 * bluez-deprecated-5.62-150400.4.19.1 * bluez-debuginfo-5.62-150400.4.19.1 * bluez-debugsource-5.62-150400.4.19.1 * libbluetooth3-debuginfo-5.62-150400.4.19.1 * bluez-deprecated-debuginfo-5.62-150400.4.19.1 * bluez-5.62-150400.4.19.1 * SUSE Manager Retail Branch Server 4.3 (x86_64) * libbluetooth3-5.62-150400.4.19.1 * bluez-deprecated-5.62-150400.4.19.1 * bluez-debuginfo-5.62-150400.4.19.1 * bluez-debugsource-5.62-150400.4.19.1 * libbluetooth3-debuginfo-5.62-150400.4.19.1 * bluez-deprecated-debuginfo-5.62-150400.4.19.1 * bluez-5.62-150400.4.19.1 * SUSE Manager Server 4.3 (ppc64le s390x x86_64) * libbluetooth3-5.62-150400.4.19.1 * bluez-deprecated-5.62-150400.4.19.1 * bluez-debuginfo-5.62-150400.4.19.1 * bluez-debugsource-5.62-150400.4.19.1 * libbluetooth3-debuginfo-5.62-150400.4.19.1 * bluez-deprecated-debuginfo-5.62-150400.4.19.1 * bluez-5.62-150400.4.19.1

References

* bsc#1218300

* bsc#1218301

Cross-

* CVE-2023-50229

* CVE-2023-50230

CVSS scores:

* CVE-2023-50229 ( SUSE ): 7.1 CVSS:3.1/AV:A/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H

* CVE-2023-50230 ( SUSE ): 7.1 CVSS:3.1/AV:A/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H

Affected Products:

* openSUSE Leap 15.4

* openSUSE Leap Micro 5.3

* openSUSE Leap Micro 5.4

* SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4

* SUSE Linux Enterprise High Performance Computing 15 SP4

* SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4

* SUSE Linux Enterprise High Performance Computing LTSS 15 SP4

* SUSE Linux Enterprise Micro 5.3

* SUSE Linux Enterprise Micro 5.4

* SUSE Linux Enterprise Micro for Rancher 5.3

* SUSE Linux Enterprise Micro for Rancher 5.4

* SUSE Linux Enterprise Server 15 SP4

* SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4

* SUSE Linux Enterprise Server for SAP Applications 15 SP4

* SUSE Manager Proxy 4.3

* SUSE Manager Retail Branch Server 4.3

* SUSE Manager Server 4.3

An update that solves two vulnerabilities can now be installed.

##

* https://www.suse.com/security/cve/CVE-2023-50229.html

* https://www.suse.com/security/cve/CVE-2023-50230.html

* https://bugzilla.suse.com/show_bug.cgi?id=1218300

* https://bugzilla.suse.com/show_bug.cgi?id=1218301

Severity
Announcement ID: SUSE-SU-2024:0204-1
Rating: important

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo